RtSvcReq (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.rt.RtSvcReq class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.rt
Class RtSvcReq

    java.lang.Object
      org.hyperic.hq.rt.RtSvcReq

    public class RtSvcReq

extends java.lang.Object

Field Summary
`static int` | `MAX_URL_LENGTH`

Constructor Summary
`RtSvcReq()`

Method Summary
`long` | `get_version_()`
`java.lang.Integer` | `getId()`
`java.util.Set` | `getRtRequestStat()`
`java.lang.Integer` | `getSvcID()`
`java.lang.String` | `getUrl()`
`void` | `set_version_(long version)`
`void` | `setId(java.lang.Integer id)`
`void` | `setRtRequestStat(java.util.Set s)`
`void` | `setSvcID(java.lang.Integer serviceId)`
`void` | `setUrl(java.lang.String url)`
`static java.lang.String` | `truncateUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_URL_LENGTH

    public static final int MAX_URL_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### RtSvcReq

    public RtSvcReq()

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### get_version_

    public long get_version_()

### set_version_

    public void set_version_(long version)

### getSvcID

    public java.lang.Integer getSvcID()

### setSvcID

    public void setSvcID(java.lang.Integer serviceId)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getRtRequestStat

    public java.util.Set getRtRequestStat()

### setRtRequestStat

    public void setRtRequestStat(java.util.Set s)

### truncateUrl

    public static java.lang.String truncateUrl(java.lang.String url)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.